Bug 124646 - [PATCH]: Backtrace goes beyond the outermost frame
[PATCH]: Backtrace goes beyond the outermost frame
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
bzcl34nup
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2004-05-28 01:54 EDT by H.J. Lu
Modified: 2008-05-06 19:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A testcase (412 bytes, application/octet-stream)
2004-05-28 01:55 EDT, H.J. Lu
no flags Details
A patch to detect the outermost frame (1.97 KB, patch)
2004-05-28 01:58 EDT, H.J. Lu
no flags Details | Diff

  None (edit)
Description H.J. Lu 2004-05-28 01:54:02 EDT
Backtrace goes beyond the outermost frame on x86-64.
Comment 1 H.J. Lu 2004-05-28 01:55:39 EDT
Created attachment 100652 [details]
A testcase

[hjl@gnu-64b bt]$ make
gcc -g -O3 -o test foo.c bar.c
gdb -batch -x gdb.cmd test | grep -q "??" && exit 1; \
true
make: *** [all] Error 1
Comment 2 H.J. Lu 2004-05-28 01:58:57 EDT
Created attachment 100653 [details]
A patch to detect the outermost frame
Comment 3 H.J. Lu 2004-06-24 12:35:39 EDT
RHEL 4 A3 has the same problem.
Comment 4 H.J. Lu 2004-07-28 16:51:08 EDT
RHEL 3 U3 beta has an update gdb. But the problem is there. 
Comment 5 H.J. Lu 2005-04-22 14:21:49 EDT
I tried gdb-6.3.0.0-1.15 from Fedora Core devel. It works better:

GNU gdb Red Hat Linux (6.3.0.0-1.15rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/tls/libthread_db.so.1".

Breakpoint 1 at 0x4004c0: file foo.c, line 4.

Breakpoint 1, foo () at foo.c:4
4         printf ("hello\n");
#0  foo () at foo.c:4
#1  0x000000337a01c4bb in __libc_start_main () from /lib64/tls/libc.so.6
#2  0x000000000040041a in _start ()
#3  0x00007ffffffff828 in ?? ()
#4  0x000000000000001c in ?? ()
#5  0x0000000000000001 in ?? ()
#6  0x00007ffffffffa64 in ?? ()
#7  0x0000000000000000 in ?? ()
Comment 6 Bug Zapper 2008-04-03 11:35:51 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 19:59:24 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.